public inbox for git@vger.kernel.org 
 help / color / mirror / Atom feed
From: Eric Wong <normalperson@yhbt•net>
To: Robert Luberda <robert@debian•org>
Cc: Junio C Hamano <gitster@pobox•com>, git@vger•kernel.org
Subject: Re: [PATCH/RFC] git svn: handle errors and concurrent commits in dcommit
Date: Tue, 21 Aug 2012 22:01:25 +0000	[thread overview]
Message-ID: <20120821220125.GA2040@dcvr.yhbt.net> (raw)
In-Reply-To: <50316C07.30907@debian.org>

Robert Luberda <robert@debian•org> wrote:
> While working on my next patch, I've accidentally discovered that bash gives
> the following errors in the test file introduced in my commit :
> 
> ./t9164-git-svn-dcommit-concrrent.sh: line 65: $hook: ambiguous redirect
> ./t9164-git-svn-dcommit-concrrent.sh: line 66: $hook: ambiguous redirect
> 
> (The test succeeds, even though assignments of the PATH and svnconf
> variables is missing; is seems svn treats an empty value of --config-dir
> as the current dir.)
> 
> 
> Sorry about not noticing this before, dash is used as default /bin/sh on
> my system. A simple patch for this issue is included below.
> 
> There is also a typo in the test file name: `concrrent' instead of
> `concurrent', but it most probably doesn't make any sense to make a
> patch for it.

Oops, I'll push the following out since Junio already merged your
original:

(your original patch was also whitespace-mangled)

>From 209b4ac46d70aa6f29d51c2fbefa53509513362c Mon Sep 17 00:00:00 2001
From: Robert Luberda <robert@debian•org>
Date: Mon, 20 Aug 2012 00:43:19 +0200
Subject: [PATCH] t9164: Add missing quotes in test

This fixes `ambiguous redirect' error given by bash.

[ew: fix misspelled test name,
     also eliminate space after ">>" to conform to guidelines]

Signed-off-by: Eric Wong <normalperson@yhbt•net>
---
 ...n-dcommit-concrrent.sh => t9164-git-svn-dcommit-concurrent.sh} | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)
 rename t/{t9164-git-svn-dcommit-concrrent.sh => t9164-git-svn-dcommit-concurrent.sh} (97%)

diff --git a/t/t9164-git-svn-dcommit-concrrent.sh b/t/t9164-git-svn-dcommit-concurrent.sh
similarity index 97%
rename from t/t9164-git-svn-dcommit-concrrent.sh
rename to t/t9164-git-svn-dcommit-concurrent.sh
index aac2dda..d8464d4 100755
--- a/t/t9164-git-svn-dcommit-concrrent.sh
+++ b/t/t9164-git-svn-dcommit-concurrent.sh
@@ -60,11 +60,11 @@ setup_hook()
 		[ "$cnt" = "0" ] || exit 0
 EOF1
 	if [ "$hook_type" = "pre-commit" ]; then
-		echo "echo 'commit disallowed' >&2; exit 1" >> "$hook"
+		echo "echo 'commit disallowed' >&2; exit 1" >>"$hook"
 	else
-		echo "PATH=\"$PATH\"; export PATH" >> $hook
-		echo "svnconf=\"$svnconf\"" >> $hook
-		cat >> "$hook" <<- 'EOF2'
+		echo "PATH=\"$PATH\"; export PATH" >>"$hook"
+		echo "svnconf=\"$svnconf\"" >>"$hook"
+		cat >>"$hook" <<- 'EOF2'
 			cd work-auto-commits.svn
 			svn up --config-dir "$svnconf"
 			echo "$$" >> auto_updated_file
-- 
Eric Wong

  parent reply	other threads:[~2012-08-21 22:01 UTC|newest]

Thread overview: 14+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2012-08-01 21:26 [PATCH/RFC] git svn: handle errors and concurrent commits in dcommit Robert Luberda
2012-08-02 10:44 ` Eric Wong
2012-08-08  5:32   ` Robert Luberda
2012-08-08  5:35     ` Robert Luberda
2012-08-08 23:07     ` Eric Wong
2012-08-09 17:44       ` Junio C Hamano
2012-08-10 19:51         ` Eric Wong
2012-08-19 22:43           ` Robert Luberda
2012-08-20  1:20             ` Junio C Hamano
2012-08-21 22:01             ` Eric Wong [this message]
2012-08-24 23:47               ` Robert Luberda
2012-08-26  0:34                 ` Eric Wong
2012-08-31  6:29                   ` [PATCH] t9164: More style fixes Robert Luberda
2012-08-31 18:01                     ` Junio C Hamano

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20120821220125.GA2040@dcvr.yhbt.net \
    --to=normalperson@yhbt$(echo .)net \
    --cc=git@vger$(echo .)kernel.org \
    --cc=gitster@pobox$(echo .)com \
    --cc=robert@debian$(echo .)org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox